
<!DOCTYPE html>

<html class="no-js" lang="en">
<head>
<meta charset="utf-8"/>
<meta content="width=device-width,initial-scale=1" name="viewport"/>
<link href="../assets/images/favicon.png" rel="icon"/>
<meta content="mkdocs-1.2.3, mkdocs-material-7.3.6" name="generator"/>
<title>User Stories - SecuWallet</title>
<link href="../assets/stylesheets/main.a57b2b03.min.css" rel="stylesheet"/>
<link href="../assets/stylesheets/palette.3f5d1f46.min.css" rel="stylesheet"/>
<meta content="#ab47bd" name="theme-color"/>
<link crossorigin="" href="https://fonts.gstatic.com" rel="preconnect"/>
<link href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700%7CRoboto+Mono&amp;display=fallback" rel="stylesheet"/>
<style>:root{--md-text-font-family:"Roboto";--md-code-font-family:"Roboto Mono"}</style>
<link href="https://unpkg.com/mermaid@8.5.1/dist/mermaid.css" rel="stylesheet"/>
<link href="../extra.css" rel="stylesheet"/>
</head>
<body data-md-color-accent="" data-md-color-primary="purple" data-md-color-scheme="slate" dir="ltr">
<script>function __prefix(e){return new URL("..",location).pathname+"."+e}function __get(e,t=localStorage){return JSON.parse(t.getItem(__prefix(e)))}</script>
<input autocomplete="off" class="md-toggle" data-md-toggle="drawer" id="__drawer" type="checkbox"/>
<input autocomplete="off" class="md-toggle" data-md-toggle="search" id="__search" type="checkbox"/>
<label class="md-overlay" for="__drawer"></label>
<div data-md-component="skip">
<a class="md-skip" href="#conceptualisation">
          Skip to content
        </a>
</div>
<div data-md-component="announce">
</div>
<header class="md-header" data-md-component="header">
<nav aria-label="Header" class="md-header__inner md-grid">
<a aria-label="SecuWallet" class="md-header__button md-logo" data-md-component="logo" href=".." title="SecuWallet">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54z"></path></svg>
</a>
<label class="md-header__button md-icon" for="__drawer">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2z"></path></svg>
</label>
<div class="md-header__title" data-md-component="header-title">
<div class="md-header__ellipsis">
<div class="md-header__topic">
<span class="md-ellipsis">
            SecuWallet
          </span>
</div>
<div class="md-header__topic" data-md-component="header-topic">
<span class="md-ellipsis">
            
              User Stories
            
          </span>
</div>
</div>
</div>
<label class="md-header__button md-icon" for="__search">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"></path></svg>
</label>
<div class="md-search" data-md-component="search" role="dialog">
<label class="md-search__overlay" for="__search"></label>
<div class="md-search__inner" role="search">
<form class="md-search__form" name="search">
<input aria-label="Search" autocapitalize="off" autocomplete="off" autocorrect="off" class="md-search__input" data-md-component="search-query" name="query" placeholder="Search" required="" spellcheck="false" type="text"/>
<label class="md-search__icon md-icon" for="__search">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"></path></svg>
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"></path></svg>
</label>
<nav aria-label="Search" class="md-search__options">
<button aria-label="Clear" class="md-search__icon md-icon" tabindex="-1" type="reset">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z"></path></svg>
</button>
</nav>
</form>
<div class="md-search__output">
<div class="md-search__scrollwrap" data-md-scrollfix="">
<div class="md-search-result" data-md-component="search-result">
<div class="md-search-result__meta">
            Initializing search
          </div>
<ol class="md-search-result__list"></ol>
</div>
</div>
</div>
</div>
</div>
</nav>
</header>
<div class="md-container" data-md-component="container">
<main class="md-main" data-md-component="main">
<div class="md-main__inner md-grid">
<div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation">
<div class="md-sidebar__scrollwrap">
<div class="md-sidebar__inner">
<nav aria-label="Navigation" class="md-nav md-nav--primary" data-md-level="0">
<label class="md-nav__title" for="__drawer">
<a aria-label="SecuWallet" class="md-nav__button md-logo" data-md-component="logo" href=".." title="SecuWallet">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54z"></path></svg>
</a>
    SecuWallet
  </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../0_Poster/">
        Poster
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../1_Resume/">
        Introduction
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../2_CahierDesCharges/">
        Cahier des charges
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../3_planning/">
        Planning
      </a>
</li>
<li class="md-nav__item md-nav__item--active md-nav__item--nested">
<input checked="" class="md-nav__toggle md-toggle" data-md-toggle="__nav_5" id="__nav_5" type="checkbox"/>
<label class="md-nav__link" for="__nav_5">
          Documentation technique
          <span class="md-nav__icon md-icon"></span>
</label>
<nav aria-label="Documentation technique" class="md-nav" data-md-level="1">
<label class="md-nav__title" for="__nav_5">
<span class="md-nav__icon md-icon"></span>
          Documentation technique
        </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../4_analyseExistant/">
        Analyse de L'existant
      </a>
</li>
<li class="md-nav__item md-nav__item--active">
<input class="md-nav__toggle md-toggle" data-md-toggle="toc" id="__toc" type="checkbox"/>
<label class="md-nav__link md-nav__link--active" for="__toc">
          User Stories
          <span class="md-nav__icon md-icon"></span>
</label>
<a class="md-nav__link md-nav__link--active" href="./">
        User Stories
      </a>
<nav aria-label="Table of contents" class="md-nav md-nav--secondary">
<label class="md-nav__title" for="__toc">
<span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
<ul class="md-nav__list" data-md-component="toc" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="#user-stories">
    User Stories
  </a>
<nav aria-label="User Stories" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#application-c">
    Application C
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#site-web">
    Site Web
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#interfaces-mockup">
    Interfaces MockUp
  </a>
<nav aria-label="Interfaces MockUp" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#login">
    Login
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#vue-portefeuille">
    Vue portefeuille
  </a>
<nav aria-label="Vue portefeuille" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#selection-du-portefeuille">
    Sélection du portefeuille
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#recevoir">
    Recevoir
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#recevoir_1">
    Recevoir
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#historique">
    Historique
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#envoi">
    Envoi
  </a>
<nav aria-label="Envoi" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#transaction-a-une-adresse">
    Transaction à une adresse
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#transaction-a-un-portefeuille">
    Transaction à un portefeuille
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#redirection-apres-transaction">
    Redirection après transaction
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#adresse">
    Adresse
  </a>
<nav aria-label="Adresse" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#copie-de-ladresse-publique">
    Copie de l'adresse publique
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#qr-code">
    QR Code
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#mon-compte">
    Mon compte
  </a>
<nav aria-label="Mon compte" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#gerer-les-portefeuilles">
    Gérer les portefeuilles
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#parametres">
    Paramètres
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#deconnexion">
    Déconnexion
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#gestion-des-portefeuilles">
    Gestion des portefeuilles
  </a>
<nav aria-label="Gestion des portefeuilles" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#redirection-sous-menu">
    Redirection sous-menu
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#nouveau">
    Nouveau
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#importer">
    Importer
  </a>
<nav aria-label="Importer" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#cle-privee">
    Clé privée
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#fichier-json">
    Fichier JSON
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#supprimer">
    Supprimer
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#parametres_1">
    Paramètres
  </a>
</li>
</ul>
</nav>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../6_interface/">
        Interfaces
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../7_Architecture/">
        Architecture
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../8_outilsExterne/">
        Outils et librairies externes
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../9_installationEnvironnement/">
        Installation de l'environnement
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../10_EncryptionBdd/">
        Encryption de base de données
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../docClasse/">
        Description Classes
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../Tests/">
        Tests
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../conclusion/">
        Conclusion
      </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item md-nav__item--nested">
<input class="md-nav__toggle md-toggle" data-md-toggle="__nav_6" id="__nav_6" type="checkbox"/>
<label class="md-nav__link" for="__nav_6">
          Annexes
          <span class="md-nav__icon md-icon"></span>
</label>
<nav aria-label="Annexes" class="md-nav" data-md-level="1">
<label class="md-nav__title" for="__nav_6">
<span class="md-nav__icon md-icon"></span>
          Annexes
        </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../JournalDeBord/">
        Journal de bord
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../tableDesIllustrations/">
        Table des illustrations
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../planningAnnexe/">
        Planning
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../codeSource/">
        Code source
      </a>
</li>
</ul>
</nav>
</li>
</ul>
</nav>
</div>
</div>
</div>
<div class="md-sidebar md-sidebar--secondary" data-md-component="sidebar" data-md-type="toc">
<div class="md-sidebar__scrollwrap">
<div class="md-sidebar__inner">
<nav aria-label="Table of contents" class="md-nav md-nav--secondary">
<label class="md-nav__title" for="__toc">
<span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
<ul class="md-nav__list" data-md-component="toc" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="#user-stories">
    User Stories
  </a>
<nav aria-label="User Stories" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#application-c">
    Application C
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#site-web">
    Site Web
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#interfaces-mockup">
    Interfaces MockUp
  </a>
<nav aria-label="Interfaces MockUp" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#login">
    Login
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#vue-portefeuille">
    Vue portefeuille
  </a>
<nav aria-label="Vue portefeuille" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#selection-du-portefeuille">
    Sélection du portefeuille
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#recevoir">
    Recevoir
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#recevoir_1">
    Recevoir
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#historique">
    Historique
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#envoi">
    Envoi
  </a>
<nav aria-label="Envoi" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#transaction-a-une-adresse">
    Transaction à une adresse
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#transaction-a-un-portefeuille">
    Transaction à un portefeuille
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#redirection-apres-transaction">
    Redirection après transaction
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#adresse">
    Adresse
  </a>
<nav aria-label="Adresse" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#copie-de-ladresse-publique">
    Copie de l'adresse publique
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#qr-code">
    QR Code
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#mon-compte">
    Mon compte
  </a>
<nav aria-label="Mon compte" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#gerer-les-portefeuilles">
    Gérer les portefeuilles
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#parametres">
    Paramètres
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#deconnexion">
    Déconnexion
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#gestion-des-portefeuilles">
    Gestion des portefeuilles
  </a>
<nav aria-label="Gestion des portefeuilles" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#redirection-sous-menu">
    Redirection sous-menu
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#nouveau">
    Nouveau
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#importer">
    Importer
  </a>
<nav aria-label="Importer" class="md-nav">
<ul class="md-nav__list">
<li class="md-nav__item">
<a class="md-nav__link" href="#cle-privee">
    Clé privée
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#fichier-json">
    Fichier JSON
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#supprimer">
    Supprimer
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#parametres_1">
    Paramètres
  </a>
</li>
</ul>
</nav>
</li>
</ul>
</nav>
</div>
</div>
</div>
<div class="md-content" data-md-component="content">
<article class="md-content__inner md-typeset">
<h1 id="conceptualisation">Conceptualisation</h1>
<p>Avant de me lancer dans la programmation, il m'était tout de même indispensable d'avoir une conception de ce que je voulais réaliser.</p>
<p>C'est pourquoi j'ai divisé ce travail en deux parties. Il s'agissait avant tout d'avoir une "User Stories". Ensuite, de par celles-ci, il m'était plus simple d'avoir une idée générale pour créer des mockups pour l'aspect visuel.</p>
<p>Il est vrai que des mockup sont présents dans mon cahier des charges, mais cela étant trop pauvre en concepts, il m'était évident que je devais pousser mon idée plus loin.</p>
<p>Je me suis donc lancé dans l'élaboration de mockup pour avoir une idée de comment je voyais mon application. J'ai estimé cette démarche très importante puisque de cette manière je minimisais les pertes de temps en validant avant tout l'aspect visuel.</p>
<p>Enfin, dès validation de celles-ci je me suis conceptualisé différentes fonctionnalités que je voulais mettre dans mon application. C'est pourquoi j'ai fait un listing de celles-ci pour avoir une bonne idée générale. Il faut savoir que malgré ce listing d'autres fonctions pourraient être ajoutées en cours de l'élaboration du programme.</p>
<h2 id="user-stories">User Stories</h2>
<h3 id="application-c">Application C</h3>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T1 : Login mot de passe + Google Authenticator</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu’utilisateur, lors du lancement de l’application, il m’est demandé de me connecter grâce à un email + mot de passe suivi d’une double authentification. (Google   authenticator).</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T2 : importer et créer des portefeuilles</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu’utilisateur,   je peux cliquer sur le bouton « + » pour accéder à la vue d’import   et de création d’un portefeuille.</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T3 :   Visualisation des portefeuilles</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu’utilisateur, je peux voir les   portefeuilles précédemment créé et/ou importé.</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T4 : Sélectionner un portefeuille</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu’utilisateur,   je peux sélectionner un portefeuille parmi la liste.</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T5 : Afficher l’adresse publique du portefeuille</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu’utilisateur,   si un portefeuille est sélectionné, je peux voir l’adresse publique de celui-ci en   format QR code ainsi qu’en texte.</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T6 : Créer une transaction</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu’utilisateur,   je peux créer une transaction si je possède un portefeuille.</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T7 : Évolution du/des portefeuille(s)</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu’utilisateur,   je peux accéder à la vue de l’évolution des portefeuilles.</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T8 : Choix des dates évolution portefeuilles</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu’utilisateur,  je peux choisir une date de début et de fin pour visualiser l’évolution entre   celles-ci.</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T9 : Affichage du graphique sur la vue évolution</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu’utilisateur, du moment où je me trouve sur la vue évolution du/des portefeuille(s) un graphique de la cryptomonnaie s'affiche. Ce graphique s'actualise grâce au choix des dates.</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T10 : Supression d'un portefeuille</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu'utilisateur, je peux cliquer sur le bouton supprimer après avoir sélectionné un portefeuille ce qui me permet de le sortir complètement de mon application.</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T11 : Déconnexion</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu’utilisateur, je peux me déconnecter en cliquant sur le bouton « Déconnexion ».</td>
</tr>
</tbody>
</table>
<h3 id="site-web">Site Web</h3>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T1 : Création de comptes</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu’utilisateur, je peux créer un compte en cliquant sur le bouton créer un compte. Il est demandé d'entrer une adresse email ainsi qu'un mot de passe.</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T2 : Connexion</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu’utilisateur, je peux me connecter en cliquant sur le bouton me connecter. Il est demandé à l'utilisateur d'entrer son adresse email et un mot de passe.</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T3 : Déconnexion</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu’utilisateur, je peux me déconnecter en cliquant sur le bouton déconnexion. Ce bouton est présent uniquement si l'utilisateur s'est connecté précédemment.</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Nom</th>
<th>T4 : Téléchargement du logiciel d'installation</th>
</tr>
</thead>
<tbody>
<tr>
<td>Description</td>
<td>En tant qu’utilisateur, si je suis connecté sur le site, il m'est possible de télécharger le fichier d'installation du client.</td>
</tr>
</tbody>
</table>
<!-- 
### Encryption des fichiers sensible

Pour protéger les wallet stockés localement sur la machine de l'utilisateur, je vais utiliser une encryption AES indépendamment pour chaque fichier (Portefeuille). J'ai décidé d'utiliser cette manière de faire, car même si une personne arrive à casser une clé d'encryption, ce qui est très peu probable, uniquement un portefeuille serait compromis. L'encryption AES (Advanced Encryption Standard) est un algorithme de chiffrement symétrique.
-->
<h2 id="interfaces-mockup">Interfaces MockUp</h2>
<figure id="fig29" style="width: 60%">
<img alt="Liens entre les mockup" src=".././img/LienEntrePage.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 29]:</span><b>Liens entre les mockup</b> </figcaption>
</figure>
<p>Pour avoir des interfaces plus modernes, j'ai utilisé le paquet NuGet <a href="https://github.com/N-a-r-w-i-n/MetroSet-UI">MetroSetUI</a>. J'ai essayé de simplifier au maximum les interfaces pour éviter que les utilisateurs de mon application soient dans le flous.</p>
<p>Afin de m'inspirer pour réaliser ces interfaces, je me suis renseigné sur plusieurs applications, dont Metamask. Il s'agit d'une application de gestion de portefeuille. </p>
<h3 id="login">Login</h3>
<p>L'utilisateur peut entrer un mail ainsi que son mot de passe afin de se connecter.</p>
<figure id="fig30" style="width: 30%">
<img alt="Mockup login" src=".././img/frmLogin.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 30]:</span><b>Mockup login</b> </figcaption>
</figure>
<figure id="fig31" style="width: 30%">
<img alt="Diagramme connexion" src=".././img/digrammeSequenceConnexionApp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 31]:</span><b>Diagramme connexion</b> </figcaption>
</figure>
<h3 id="vue-portefeuille">Vue portefeuille</h3>
<figure id="fig32" style="width: 40%">
<img alt="Mockup acceuil" src=".././img/VuePortefeuille.PNG" width="100%"/>
<figcaption>
<span class="fig">[Fig 32]:</span><b>Mockup acceuil</b> </figcaption>
</figure>
<h4 id="selection-du-portefeuille">Sélection du portefeuille</h4>
<p>L'utilisateur peut cliquer sur la liste déroulante et sélectionner un portefeuille parmi les différends disponibles.</p>
<h4 id="recevoir">Recevoir</h4>
<p>L'utilisateur peut cliquer sur le bouton "Recevoir" pour être redirigé sur la vue <a href="#adresse">Adresse</a>.</p>
<h4 id="recevoir_1">Recevoir</h4>
<p>L'utilisateur peut cliquer sur le bouton "Envoyer" pour être redirigé sur la vue <a href="#envoi">Envoi</a>.</p>
<h4 id="historique">Historique</h4>
<p>L'utilisateur a une liste à disposition qui contient la liste des transactions réalisées avec le portefeuille sélectionné. </p>
<h3 id="envoi">Envoi</h3>
<figure id="fig33" style="width: 30%">
<img alt="Mockup envoi" src=".././img/VueEnvoie.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 33]:</span><b>Mockup envoi</b> </figcaption>
</figure>
<h4 id="transaction-a-une-adresse">Transaction à une adresse</h4>
<p>L'utilisateur entre une adresse Ethereum dans la textebox "Adresse" et clique sur le bouton envoyer pour créer une transaction.</p>
<h4 id="transaction-a-un-portefeuille">Transaction à un portefeuille</h4>
<p>L'utilisateur clique sur le bouton "Transfert entre mes comptes" pour sélectionner un de ses portefeuilles personnels ce qui entre automatiquement la clé publique de celui-ci et clique sur le bouton "Envoyer" pour créer la transaction.</p>
<figure id="fig34" style="width: 50%">
<img alt="Diagramme transaction" src=".././img/digrammeSequenceEnvoyer.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 34]:</span><b>Diagramme transaction</b> </figcaption>
</figure>
<h4 id="redirection-apres-transaction">Redirection après transaction</h4>
<p>L'utilisateur après avoir cliqué sur le bouton "Envoyer" est redirigé sur la page <a href="#vue-portefeuille">Vue portefeuille</a>.</p>
<h3 id="adresse">Adresse</h3>
<figure id="fig35" style="width: 30%">
<img alt="Mockup recevoir" src=".././img/VueRecevoir.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 35]:</span><b>Mockup recevoir</b> </figcaption>
</figure>
<h4 id="copie-de-ladresse-publique">Copie de l'adresse publique</h4>
<p>L'utilisateur peut cliquer sur le bouton "Copier", pour conserver dans le presse-papier, l'adresse publique du portefeuille.</p>
<h4 id="qr-code">QR Code</h4>
<p>Quand l'utilisateur arrive sur cette vue, un QR code générer à partir de l'adresse privée est affiché.</p>
<h3 id="mon-compte">Mon compte</h3>
<figure id="fig36" style="width: 30%">
<img alt="Mockup mon compte" src=".././img/VueMonCompte.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 36]:</span><b>Mockup mon compte</b> </figcaption>
</figure>
<h4 id="gerer-les-portefeuilles">Gérer les portefeuilles</h4>
<p>L'utilisateur peut cliquer sur le bouton "Gérer les portefeuilles" pour être redirigé vers la vue <a href="#gestion-des-portefeuilles">Gestion des portefeuilles</a>.</p>
<h4 id="parametres">Paramètres</h4>
<p>L'utilisateur peut cliquer sur le bouton "Paramètres" pour être redirigé vers la vue <a href="#paramètres">Paramètres</a>.</p>
<h4 id="deconnexion">Déconnexion</h4>
<p>L'utilisateur peut cliquer sur le bouton "Déconnexion" pour être redirigé vers la vue <a href="#login">Login</a>.</p>
<h3 id="gestion-des-portefeuilles">Gestion des portefeuilles</h3>
<h4 id="redirection-sous-menu">Redirection sous-menu</h4>
<p>L'utilisateur peut cliquer sur le sous-menu "Nouveau" pour affiché la vue <a href="#nouveau">Nouveau</a>. Ce sous-menu, est celui affiché en arrivant sur la vue <a href="#gestion-des-portefeuilles">Gestion des portefeuilles</a>.</p>
<p>L'utilisateur peut cliquer sur le sous-menu "Importer" pour afficher la vue <a href="#importer">Importer</a>.</p>
<p>L'utilisateur peut cliquer sur le sous-menu "Supprimer" pour afficher la vue <a href="#supprimer">Supprimer</a>.</p>
<h4 id="nouveau">Nouveau</h4>
<figure id="fig37" style="width: 30%">
<img alt="Mockup gestion des portefeuilles" src=".././img/VueGestionPortefeuille.PNG" width="100%"/>
<figcaption>
<span class="fig">[Fig 37]:</span><b>Mockup gestion des portefeuilles</b> </figcaption>
</figure>
<p>L'utilisateur peut entrer un nom de portefeuille et cliquer sur le bouton "Créer" pour créer un portefeuille. Après cette action faite, l'utilisateur est redirigé sur la page <a href="#vue-portefeuille">Vue portefeuilles</a>.</p>
<figure id="fig38" style="width: 50%">
<img alt="Diagramme nouveau portefeuilles" src=".././img/digrammeSequenceCreeWallet.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 38]:</span><b>Diagramme nouveau portefeuilles</b> </figcaption>
</figure>
<h4 id="importer">Importer</h4>
<figure id="fig39" style="width: 50%">
<img alt="Mockup import gestion portefeuilles" src=".././img/GestionPortefeuilleImport.PNG" width="100%"/>
<figcaption>
<span class="fig">[Fig 39]:</span><b>Mockup import gestion portefeuilles</b> </figcaption>
</figure>
<h5 id="cle-privee">Clé privée</h5>
<p>L'utilisateur peut importer un portefeuille existant en entrant dans le champ "clé" la clé privée du portefeuille puis en cliquant sur le bouton "Importer". Après cette action, l'utilisateur est redirigé sur la page <a href="#vue-portefeuille">Vue portefeuilles</a>.</p>
<figure id="fig40" style="width: 30%">
<img alt="Diagramme importer portefeuilles (Clé)" src=".././img/digrammeSequenceImporterCle.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 40]:</span><b>Diagramme importer portefeuilles (Clé)</b> </figcaption>
</figure>
<h5 id="fichier-json">Fichier JSON</h5>
<p>L'utilisateur peut importer un portefeuille existant en cliquant sur le bouton "Importer fichier", puis en sélectionnant le fichier "JSON" contenant le portefeuille. Du moment où l'import s'est bien déroulé, le nom du fichier s'affichera dans l'interface d'import de fichier. Ensuite, l'utilisateur doit entrer le mot de passe qu'il a entré lors de la création du portefeuille et cliquer sur le bouton "Importer". Après cette action, l'utilisateur est redirigé sur la page <a href="#vue-portefeuille">Vue portefeuilles</a>.</p>
<figure id="fig41" style="width: 30%">
<img alt="Diagramme importer portefeuilles (JSON)" src=".././img/digrammeSequenceImportFichierJSON.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 41]:</span><b>Diagramme importer portefeuilles (JSON)</b> </figcaption>
</figure>
<h4 id="supprimer">Supprimer</h4>
<figure id="fig42" style="width: 50%">
<img alt="Mockup suppression gestion portefeuille" src=".././img/VueGestionPortefeuilleSupprimer.PNG" width="100%"/>
<figcaption>
<span class="fig">[Fig 42]:</span><b>Mockup suppression gestion portefeuille</b> </figcaption>
</figure>
<p>L'utilisateur peut sélectionner un portefeuille parmi ceux importés et/ou créés sur l'application. Une fois sélectionné l'utilisateur doit cliquer sur le bouton "Supprimer" pour supprimer son portefeuille du stockage de l'application. Après cette action l'utilisateur est redirigé sur la page <a href="#vue-portefeuille">Vue portefeuilles</a>.</p>
<figure id="fig43" style="width: 50%">
<img alt="Diagramme suppression portefeuilles (JSON)" src=".././img/digrammeSequenceSupprimerWallet.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 43]:</span><b>Diagramme suppression portefeuilles (JSON)</b> </figcaption>
</figure>
<h3 id="parametres_1">Paramètres</h3>
<p>L'utilisateur peut sélectionner la devise utilisé sur l'application et se rediriger sur la vue "Contact"</p>
<figure id="fig44" style="width: 30%">
<img alt="Mockup paramètres" src=".././img/VueParametres.PNG" width="100%"/>
<figcaption>
<span class="fig">[Fig 44]:</span><b>Mockup paramètres</b> </figcaption>
</figure>
</article>
</div>
</div>
</main>
<footer class="md-footer">
<nav aria-label="Footer" class="md-footer__inner md-grid">
<a aria-label="Previous: Analyse de L'existant" class="md-footer__link md-footer__link--prev" href="../4_analyseExistant/" rel="prev">
<div class="md-footer__button md-icon">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"></path></svg>
</div>
<div class="md-footer__title">
<div class="md-ellipsis">
<span class="md-footer__direction">
                Previous
              </span>
              Analyse de L'existant
            </div>
</div>
</a>
<a aria-label="Next: Interfaces" class="md-footer__link md-footer__link--next" href="../6_interface/" rel="next">
<div class="md-footer__title">
<div class="md-ellipsis">
<span class="md-footer__direction">
                Next
              </span>
              Interfaces
            </div>
</div>
<div class="md-footer__button md-icon">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M4 11v2h12l-5.5 5.5 1.42 1.42L19.84 12l-7.92-7.92L10.5 5.5 16 11H4z"></path></svg>
</div>
</a>
</nav>
<div class="md-footer-meta md-typeset">
<div class="md-footer-meta__inner md-grid">
<div class="md-footer-copyright">
        
        
          Made with
          <a href="https://squidfunk.github.io/mkdocs-material/" rel="noopener" target="_blank">
            Material for MkDocs
          </a>
 ... <a class="link--pdf-download" download href="../pdf/document.pdf" title="PDF">download PDF</a></div>
</div>
</div>
</footer>
</div>
<div class="md-dialog" data-md-component="dialog">
<div class="md-dialog__inner md-typeset"></div>
</div>
<script id="__config" type="application/json">{"base": "..", "features": [], "translations": {"clipboard.copy": "Copy to clipboard", "clipboard.copied": "Copied to clipboard", "search.config.lang": "en", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "Search", "search.result.placeholder": "Type to start searching", "search.result.none": "No matching documents", "search.result.one": "1 matching document", "search.result.other": "# matching documents", "search.result.more.one": "1 more on this page", "search.result.more.other": "# more on this page", "search.result.term.missing": "Missing", "select.version.title": "Select version"}, "search": "../assets/javascripts/workers/search.fcfe8b6d.min.js", "version": null}</script>
<script src="../assets/javascripts/bundle.b1047164.min.js"></script>
<script src="https://unpkg.com/mermaid@8.5.1/dist/mermaid.min.js"></script>
</body>
</html>